%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:		clutk
Summary:	A general-purpose toolkit for Clutter used by netbook-launcher.
Version:	0.2.8
Release:	%mkrel 1
License:	LGPLv3
Source:		%{name}-%{version}.tar.gz
URL:            https://launchpad.net/clutk
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build

#BuildRequires:	

%description
A general-purpose toolkit for Clutter used by UNR's netbook-launcher.

%package -n %{libname}
Summary:        A general-purpose toolkit for Clutter used by netbook-launcher.
%description -n %{libname}
A general-purpose toolkit for Clutter used by UNR's netbook-launcher.

%package -n %{develname}
Requires:	%{libname}
Summary:	Header files for %{libname}
%description -n %{develname}
Header files for %{libname}

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
rm -fr %buildroot
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/clutk-0.2
%{_libdir}/libclutk-0.2.la
%{_libdir}/libclutk-0.2.so
%{_libdir}/pkgconfig/clutk-0.2.pc
#%{_datadir}/clutk
#%{_datadir}/gtk-doc/html/clutk

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libclutk-0.2.so.0
%{_libdir}/libclutk-0.2.so.0.208.0

%changelog
* Sat Jun 05 2010 Oliver Burger <rpm@mandrivauser.de> 0.2.8-1mud2010.1
- initial package for Mandriva Linux
